System.ServiceModel 4.0.0.0 System.Object System.ServiceModel.Syndication.ISyndicationElement

can be added to a or . When serialized to Atom 1.0 a is written out as a <link> element, with the properties written out as attributes of the <link> element. When serialized to RSS 2.0, the first with a relationship value of ‘alternate’ is written out as a <link> element. Any additional links are written out as a <a10:link> elements.

Represents a link within a syndication feed or item.

- Constructor
  4.0.0.0
  To be added.

  Creates a new instance of the instance.

- Constructor
  4.0.0.0
  To be added.
  To be added.

  Initializes a new instance of the class with the specified instance.

- Constructor
  4.0.0.0
  To be added.
  To be added.

  Initializes a new instance of the class with the specified .

- Constructor
  4.0.0.0
  To be added.
  To be added.
  To be added.
  To be added.
  To be added.

  Well-known relationship types include:

  alternate - The link identifies an alternate version of the resource described by the containing Feed or Item.

  related - The link identifies a resource related to the containing Feed or Item.

  self - The link identifies a resource equivalent to the containing Feed or Item.

  enclosure - The link identifies a related resource that is potentially large in size and might require special handling. This link relation is often used when podcasts or audio files are distributed in a Feed.

  via - The link identifies a resource that is the source of the information provided in the containing Feed or Item.

  Initializes a new instance of the class with the specified , relation type, title, media type, and length.

- Property
  4.0.0.0
  System.Collections.Generic.Dictionary<System.Xml.XmlQualifiedName,System.String> To be added.

  allows you to add custom attributes to the . When serialized to Atom 1.0, the custom attributes appear within the <link> element. When serialized to RSS 2.0, the custom attributes appear in the <a10:link> element. Any valid XML attribute can be added.

  Gets the attribute extensions of the link.

- Property
  4.0.0.0
  System.Uri To be added. To be added.

  Gets and sets the base URI of the syndication link.

- Method
  4.0.0.0
  System.ServiceModel.Syndication.SyndicationLink To be added.

  Creates a copy of the current instance.

  A new instance.

- Method
  4.0.0.0
  System.ServiceModel.Syndication.SyndicationLink `` To be added. To be added.

  Creates a new object with the specified .

  A new instance.

- Method
  4.0.0.0
  System.ServiceModel.Syndication.SyndicationLink `` `` To be added. To be added. To be added.

  Creates a new object with the specified and media type.

  A new instance.

- Method
  4.0.0.0
  System.ServiceModel.Syndication.SyndicationLink `` `` `` To be added. To be added. To be added.

  This method creates a new object and sets to enclosure.

  Creates a media enclosure link with the specified URI, media type, and length.

  A new instance.

- Method
  4.0.0.0
  System.ServiceModel.Syndication.SyndicationLink `` To be added. To be added.

  Creates a new with the specified URI and relationship type set to self.

  A instance.

- Method
  4.0.0.0
  System.ServiceModel.Syndication.SyndicationLink `` `` To be added. To be added. To be added.

  Creates a new with the specified URI, media type, and relationship type set to self.

  A instance.

- Property
  4.0.0.0
  System.ServiceModel.Syndication.SyndicationElementExtensionCollection To be added.

  Element extensions are valid XML elements that are not specified in either the Atom 1.0 or RSS 2.0 specifications. You can add any valid XML element as an extension, provided its namespace is different from the enclosing namespace.

  Gets the element extensions for the .

- Method
  4.0.0.0
  System.Uri To be added.

  Gets the absolute URI for the .

  A instance that contains the absolute URI of the .

- Property
  4.0.0.0
  System.Int64 To be added.

  When serialized to Atom 1.0 the property is written as a length attribute in the <link> element.

  When serialized to RSS 2.0 this value is written as the length attribute of the <a10:link> element.

  Gets and sets the length of the linked resource in bytes.

- Property
  4.0.0.0
  System.String To be added.

  When serialized to Atom 1.0 this value is written as a type attribute in the <link> element. When serialized to RSS 2.0 this value is written as the type attribute in the <a10:link> element.

  Gets and sets the media type of the linked resource.

- Property
  4.0.0.0
  System.String To be added.

  Well-known relationship types include:

  alternate - The link identifies an alternate version of the resource described by the containing Feed or Item.

  related - The link identifies a resource related to the containing Feed or Item.

  self - The link identifies a resource equivalent to the containing Feed or Item.

  enclosure - The link identifies a related resource that is potentially large in size and might require special handling. This link relation is often used when podcasts or audio files are distributed in a Feed.

  via - The link identifies a resource that is the source of the information provided in the containing Feed or Item.

  When serialized to Atom 1.0 this value is written out as the rel attribute of the <link> element. When serialized to RSS 2.0, this value is written out as the rel attribute in the <a10:link> element.

  Gets and sets the relationship type of the linked resource.

- Property
  4.0.0.0
  System.String To be added.

  When serialized to Atom 1.0 this value is written out as the title attribute in the <link> element.

  When serialized to RSS 2.0 the title is written out as the title attribute in the <a10:link> element.

  Gets and sets the title of the linked resource.

- Method
  4.0.0.0
  System.Boolean `` `` `` `` To be added. To be added. To be added. To be added.

  Attribute extensions are custom attributes that are not defined by the Atom 1.0 or RSS 2.0 specifications. They are serialized as an attribute of the <link> element. This method is an extension point that allows you to handle the deserialization of a custom attribute extension. To do this, you must derive a class from and override this method. This method is called for all unrecognized attribute extensions.

  Attempts to parse an attribute extension.

  A value that specifies whether the attribute extension was parsed successfully.

- Method
  4.0.0.0
  System.Boolean `` `` To be added. To be added.

  Element extensions are valid XML elements that are not specified in either the Atom 1.0 or RSS 2.0 specifications. You can add any valid XML element as an extension, provided its namespace is different from the enclosing namespace. This method is an extension point that allows you to handle the deserialization of a custom element extension. To do this, you must derive a class from and override this method. This method is called for all unrecognized element extensions.

  Attempts to parse an element extension.

  A value that specifies whether the element extension was parsed successfully.

- Property
  4.0.0.0
  System.Uri To be added.

  When serialized to Atom 1.0 this value is written out as the href attribute in the <link> element.

  When serialized to RSS 2.0, this value is written out as the href attribute in the <a10:link> element.

  Gets and sets the URI for the linked resource.

- Method
  4.0.0.0
  System.Void `` `` To be added. To be added.

  Attribute extensions are custom attributes that are not defined by the Atom 1.0 or RSS 2.0 specifications. They are serialized as an attribute of the <link> element. This method is an extension point that allows you to handle the serialization of custom attribute extensions. To do this, you must derive a class from and override this method. This method is called for all unrecognized attribute extensions.

  Writes the attribute extensions to the specified using the specified syndication version.

- Method
  4.0.0.0
  System.Void `` `` To be added. To be added.

  Element extensions are valid XML elements that are not specified in either the Atom 1.0 or RSS 2.0 specifications. You can add any valid XML element as an extension, provided its namespace is different from the enclosing namespace. This method is an extension point that allows you to handle the serialization of custom element extensions. To do this, you must derive a class from and override this method. This method is called for all unrecognized element extensions.

  Writes the element extensions to the specified using the specified syndication version.